Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

assets
string[]
required

Comma separated list of assets.
Use the /catalog-all-v2/asset-metrics endpoint for the full list of supported assets or specify asterisk (*) in order to get metrics for all supported assets.

metrics
string[]
required

Comma separated metrics to request time series data for.
Information on all available metrics can be found on page https://coverage.coinmetrics.io/asset-metrics-v2.
Use the /catalog-all-v2/asset-metrics endpoint for the full list of supported metrics per asset.

Example:
frequency
string
default:1d

Frequency of the metrics. Supported values are 1b (block by block), 1s (one second), 1m (one minute), 5m (five minutes), 10m (ten minutes), 1h (one hour), 1d (one day), 1d-ny-close (one day at New York close time). Please refer to the /catalog-v2/asset-metrics endpoint for the full list.
Use the /catalog-all-v2/asset-metrics endpoint for the full list of supported frequencies per asset-metric pair.

Example:

"1b"

status
enum<string>
default:all

Which metric values do you want to see. Applicable only for "reviewable" metrics. You can find them in the /catalog-v2/asset-metrics endpoint.

Available options:
all,
flash,
reviewed,
revised
start_time
string

Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with start_height and start_hash.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.

end_time
string

End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with end_height and end_hash.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.

start_height
integer<int64>

The start height indicates the beginning block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with start_time and start_hash.

Required range: x >= 0
end_height
integer<int64>

The end height indicates the ending block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with end_time and end_hash.
This parameter is disabled for Community users.

Required range: x >= 0
start_hash
string

The start hash indicates the beginning block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with start_time and start_height.

end_hash
string

The end hash indicates the ending block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with end_time and end_height.

start_inclusive
boolean
default:true

Inclusive or exclusive corresponding start_* parameters.

end_inclusive
boolean
default:true

Inclusive or exclusive corresponding end_* parameters.

min_confirmations
integer<int32>

Specifies how many blocks behind the chain tip block by block metrics (1b frequency) are based on. Default for btc is 2 and 99 for eth. For example, a min_confirmations of 0 means metrics are being calculated for the block at the tip of the chain (the latest block received by our node) whereas a min_confirmations of 6 means that metrics are being applied to the block that is 6 blocks behind the chain tip (i.e., the 7th block if the chain tip is block 1).

Required range: 0 <= x <= 99
timezone
string
default:UTC

Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.

Example:

"America/New_York"

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:end

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
sort
enum<string>
default:asset

How results will be sorted. Metrics with 1b frequency are sorted by (asset, height, block_hash) tuples by default. Metrics with other frequencies are sorted by (asset, time) by default. If you want to sort 1d metrics by (time, asset) you should choose time as value for the sort parameter.
Sorting by time is useful if you request metrics for a set of assets.

Available options:
asset,
height,
time
limit_per_asset
integer<int32>

How many entries per asset result should contain. For example, this combination of parameters assets=btc,eth&metrics=ReferenceRate&limit_per_asset=1 returns the latest ReferenceRate values for btc and eth.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

format
enum<string>
default:json

Format of the response. Supported values are json, json_stream, csv.

Available options:
json,
json_stream,
csv
null_as_zero
boolean
default:false

Nulls are represented as zeros in the response.

next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

ignore_unsupported_errors
boolean
default:false

Ignore "unsupported" errors for not currently supported by Coin Metrics items.

ignore_forbidden_errors
boolean
default:false

Ignore "forbidden" errors for the items you currently don't have access to.

Response

Time series of metrics for an asset.

Time series of asset metrics.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.